services:
  _defaults:
    autowire: true
    autoconfigure: true

  AutoAdmin\Bundle\Admin\Controller\Admin\:
    resource: '../../Controller/Admin/*Controller.php'
    exclude: '../../Controller/Admin/{Traits}'
    tags:
      - 'aa_admin.controller'

  AutoAdmin\Bundle\Admin\Controller\Admin\LocaleSwitcherController:
    autowire: true
    tags:
      - 'controller.service_arguments'

  AutoAdmin\Bundle\Admin\Controller\Admin\AdministratorController:
    autowire: true
    tags:
      - 'controller.service_arguments'

  AutoAdmin\Bundle\Admin\Controller\Security\SecurityController:
    autowire: true
    tags:
      - 'controller.service_arguments'

  AutoAdmin\Bundle\Admin\Controller\Resetting\ResettingController:
    autowire: true
    tags:
      - 'controller.service_arguments'

  AutoAdmin\Bundle\Admin\Controller\Admin\ContentReferenceController:
    autowire: true
    tags:
      - 'controller.service_arguments'
